Subject: bug#48902: 28.0.50; Directory names containing apostrophes and backticks cause problems

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Jun 2021 14:56:14 +0300

> Date: Tue, 8 Jun 2021 21:33:01 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>,
>  Rudolf Adamkovič <[email-masked]>, [email-masked]
> 
> It's not just allocInitFromFile, I'm looking at the other callers of
> image_find_image_file and they all call ENCODE_FILE after it too.

Encoding an already encoded file name is a no-op.  But I agree it's
unclean and we had better fixed that.

> Patch attached. I've tested it here but I only have a couple of images
> to try it with.

Thanks, it LGTM.  But please also adjust the comment of
image_find_image_fd.